#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Sep 28 23:50:43 2020

@author: Mathilde
"""

def f(x):
    return x+1

def ResEnSerie(R1,R2):
    """
    R1 et R2 sont des résistances
    La fonction renvoie la résistance équivalente
    au montage de R1 et R2 en série
    """
    return(R1+R2)

def ResEnPara2(R1,R2):
    """
    Prend en entrée deux valeurs de résistance
    et renvoie la résistance équivalente si elles sont en parallèle
    """
    return((R1*R2)/(R1+R2))
    
def ResEnPara3(R1,R2,R3):
    """
    Prend en entrée trois valeurs de résistance
    et renvoie la résistance équivalente si elles sont en parallèle
    """
    G_eq=1/R1+1/R2+1/R3
    return(1/G_eq)
    
def energieC(m,v):
    """
    la fonction renvoie l'énergie cinétique (J)
    d'une masse ponctuelle (kg) qui se déplace à la
    vitesse v (m/s)
    """
    return(0.5*m*v**2)
    
    

def convert(V):
    """
    renvoie la conversion en m/s d'une vitesse 
    exprimée en km/h
    """
    return(V/3.6)
    
def dilution(vol_mere):
    """
    fonction dilution (vol_mere (entre 0 et 10 mL), conc_mere = 0,01 mol/L
    vol_fiole = 100 mL)
    qui renvoie la concentration de la solution fille en mol/L
    """
    conc_mere = 0.01 
    vol_fiole = 100
    conc_fille = conc_mere * vol_mere / vol_fiole
    return conc_fille


def pair(nombre):
    """
    La fonction prend un nombre quelconque en entrée et imprimer
    s'il est pair ou non
    """
    print("Le nombre choisi vaut ", nombre)
    if nombre % 2 == 0 : 
        print(nombre," est pair")
    else : 
        print(nombre," est impair")
        
def valeur_absolue(x):
    """
    La fonction prend un nombre x en entrée et renvoie sa valeur absolue
    """
    if x>=0:
        return(x)
    else:
        return(-x)

def bissextile(annee):
    """
    La fonction prend une année en entrée et affiche si l'année est 
    bissextile ou non
    """
    if annee % 400 == 0 or (annee % 4 == 0 and annee % 100 != 0):
        print("L'année saisie est bissextile.")
    else:
        print("L'année saisie n'est pas bissextile.")
        

def accesMajeur():
    """
    la fonction demande son age à l'utilisateur
    elle renvoie 1 si le nombre entier saisi est >=18, 0 sinon
    """
    age=int(input("Veuillez saisir votre âge svp \n"))
    res=0 
    if age>=18:
        res=1
    return(res)
    
def motDePasse():
    """
    Demande à l'utilisateur d'entrer un mot de passe. Vérifie une fois
    si les deux mots de passe sont identiques.
    """
    a = input('Entrez votre mot de passe : ')
    b = input('Entrez à nouveau votre mot de passe : ')
    if b!=a :
        b = input('Incorrect : entrez à nouveau votre mot de passe : ')

def nombreA(mot):
    # renvoie le nombre de 'a' dans la chaîne de caractères 'mot'
    nbA = 0
    for lettre in mot:
        if lettre == 'a':
            nbA = nbA+1
    return(nbA)

for i in range(0,6):
    print(i)
    
for i in range(10):
    print('Bonjour!')

for i in range(1,101,1):
    print('Numéro',i)    
    
for i in range(1,11):
    print(i,'x7',"=",i*7)
    
def sommme(n):
    # renvoie la somme de 1 + 2 + ... + n
    S=0
    for i in range(1,n+1):
        S+=i
    return S

def sommme2(n):
    # renvoie la somme de 1 + 2 + ... + n
    # et vérifie que c'est bien égal à n*(n+1)/2
    S=0
    for i in range(1,n+1):
        S+=i
    if S==n*(n+1)/2 : print(True)
    return S

def fibo(n):
    # n est un entier naturel non nul. La fonction renvoie
    # la liste des n premiers termes de la suite de Fibonacci
    
    # le début de la liste des termes (la réponse si n=2)
    liste=[1,1] 
    
    # si n>2, on construit la liste jusqu'à n termes :
    i=2
    while i<n:
        i=i+1
        liste.append(liste[-1]+liste[-2])
    
    # si n=1, il faut renvoyer [1]
    if n==1: 
        liste=[1]
    
    return(liste)



